본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Reference
  • Utility API

사이드 메뉴

Kakao Map

Search

Reference

Utility API

This document provides the Utility API information for Kakao Developers users.

Retrieve Kakao IP list

Basic information
MethodURLAuthorization
GEThttps://kapi.kakao.com/v1/system/ipsNative app key
REST API key
JavaScript key
Admin key

Retrieve Kakao IP list to use Kakao APIs.

If access to the service server is restricted by the firewall or ACL (Access Control List), you must set the Kakao service server's IP on the firewall rules or ACL.

Send a GET request with one of service app keys in the header. To retrieve only one of either inbound or outbound, use rule_type.

The response includes the inbound and outbound Kakao IP list. If failed, refer to Error code to figure out the reason.

Kakao service information
TypeDescription
InboundRequired IPs to get the request from Kakao.
One of the request types below.
callback: Callback
scrap: A request to scrape a service page
OutboundRequired IPs to use Kakao APIs.
One of the Kakao service domains below.
https://kauth.kakao.com: Kakao Login API
https://kapi.kakao.com: Kakao API
https://accounts.kakao.com: Kakao Account
https://auth.kakao.com: Kakao Account(Mobile)
https://dapi.kakao.com: Daum search, local API
https://apps.kakao.com: Kakao Talk Message API
https://talk-apps.kakao.com: Kakao Talk universal link

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${SERVICE_APP_KEY}
Service app key as a type of user authentication.
One of:
Native app key
REST API key
JavaScript key
Admin key
O
Query parameter
NameTypeDescriptionRequired
rule_typeStringIP type to retrieve.
One of inbound and outbound.
X

Response

Body
NameTypeDescriptionRequired
inboundIP[]Inbound IP list of each Kakao service.X
outboundIP[]Outbound IP list of each Kakao service.X
updatedDateStringThe last updated date in YYYY-MM-DD(ISO 8601) Format.O
ServiceIp
NameTypeDescriptionRequired
serviceStringThe service names or the service domain.
Refer to Kakao service information.
O
ipsString[]The IP list of each Kakao service.
RFC1519 CIDR format.
O
portsInt[]The port list of each Kakao service.O
additionIpChangeThe IP information to be added.X
exclusionIpChangeThe IP information to be excluded.X
updatedDateStringThe last updated date in YYYY-MM-DD(ISO 8601) Format.O
IpChange
NameTypeDescriptionRequired
ipsString[]The IP list to be added or excluded.
RFC1519 CIDR format.
O
dateStringThe addition or exclusion schedule.O

Sample

Request
curl -v -G GET "https://kapi.kakao.com/v1/system/ips" \
-H "Authorization: KakaoAK ${REST_API_KEY}"
Request: retrieve only inbound IP list
curl -v -G GET "https://kapi.kakao.com/v1/system/ips" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
-d "rule_type=inbound"
Response
HTTP/1.1 200 OK
{
"inbound":[
{
"service":"${SERVICE_NAME}",
"ips":[
"${IP_ADDRESS}",
...
],
"ports":[
"${PORT_NUMBER}",
...
],
"updatedDate":"${UPDATED_DATE}"
},
...
],
"outbound":[
{
"service":"${SERVICE_NAME}",
"ips":[
"${IP_ADDRESS}",
...
],
"ports":[
"${PORT_NUMBER}",
...
],
"updatedDate":"${UPDATED_DATE}"
},
...
],
"updatedDate":"${UPDATED_DATE}"
}

Kakao Open API status

Use these APIs to retrieve Kakao Open API Status.

Check current status

Basic information
MethodURLAuthorization
GEThttps://api-status.kakao.com/api/health/current-

Check the current status of Kakao APIs.

The status is updated every 5 minutes.

Send a GET request. Use product and api parameters to specify products and APIs. If the request is successful, the response includes the current status information for each product and API. The status of each product is always included in the response regardless of the status, and the status of each API is included in the response only if there is an abnormality.

Request

Query parameter
NameTypeDescriptionRequired
productStringProducts to check status, a comma separated string
If not specified, check all products
(Example: login,message)
X
apiStringAPIs to check status, a comma separated string
If not specified, check all APIs
(Example: user_me,user_shipping_address)

Note: If products are specified, APIs only for the same products are available
X
langStringLanguage for the response, one of:
ko: Korean
en: English
(Default: ko)
X

Response

Body
NameTypeDescriptionRequired
updatedAtStringLast updated time, in 5-minute increments, yyyy-MM-dd HH:mm:ssZ formatO
statusesStatus[]List of the status informationO
warningWarningIf the request was invalid, detailed reasonsX
Status
NameTypeDescriptionRequired
productIdStringID of the productO
productNameStringName of the productO
statusStringCurrent product status, one of the following:
GREEN: Normal
YELLOW: Warning
RED: Outage
MAINTENANCE: Maintenance
UNKNOWN: Unknown
O
issusesIssue[]Detailed information on abnormal status
Not provided when the status is GREEN or UNKNOWN
X
Issue
NameTypeDescriptionRequired
apiIdStringID of the APIO
apiNameStringName of the APIO
statusStringCurrent API status, one of:
GREEN: Normal
YELLOW: Warning
RED: Outage
MAINTENANCE: Maintenance
UNKNOWN: Unknown
O
Warning
NameTypeDescriptionRequired
invalidProductString[]List of the invaild product valuesX
invalidUriString[]List of the invalid api valuesX

Sample

Request
curl -v -G GET "https://api-status.kakao.com/api/health/current"
Request: Check for Kakao Login
curl -v -G GET "https://api-status.kakao.com/api/health/current" \
-d "product=login"
Request: Check for retrieving user information API
curl -v -G GET "https://api-status.kakao.com/api/health/current" \
-d "product=login" \
-d "api=user_me"
Response
HTTP/2 200
content-type: application/json; charset=utf-8
{
"updatedAt": "2023-12-05T07:10:01.823Z",
"statuses": [
{
"productId": "login",
"productName": "카카오 로그인",
"status": "GREEN"
},
{
"productId": "social",
"productName": "카카오톡 소셜",
"status": "GREEN"
},
{
"productId": "message",
"productName": "메시지",
"status": "GREEN"
},
...
]
}
Response: Check for Kakao Login, normal status
HTTP/2 200
content-type: application/json; charset=utf-8
{
"updatedAt": "2023-12-05T07:00:01.986Z",
"statuses": [
{
"productId": "login",
"productName": "카카오 로그인",
"status": "GREEN"
}
]
}
Response: Check for Kakao Login, abnormal status
HTTP/2 200
content-type: application/json; charset=utf-8
{
"updatedAt":"2023-11-27T09:30:01.807Z",
"statuses":[
{
"productId":"login",
"productName":"카카오 로그인",
"status":"RED",
"issues": [
{
"apiId": "oauth_authorize",
"apiName": "인가 코드 요청",
"status": "YELLOW"
},
{
"apiId": "oauth_token",
"apiName": "토큰 요청",
"status": "RED"
}
]
}
]
}
Response: A product is specified, but the specified API is not included for the product
HTTP/2 200
content-type: application/json; charset=utf-8
{
"updatedAt": "2023-12-05T07:12:43.961Z",
"statuses": []
}
Response: Requested for invalid product or API
HTTP/2 200
content-type: application/json; charset=utf-8
{
"updatedAt": "2023-12-05T07:49:57.811Z",
"statuses": [],
"warning": {
"invalidProduct": "test",
"invalidUris": "test"
}
}

Check history

Basic information
MethodURLAuthorization
GEThttps://api-status.kakao.com/api/health/history-

Check the history of the status for Kakao Open API.

Status history is provided on a daily basis and is provided up to 30 days prior to the request date.

Send a GET request. Use start and end parameters to specify the period. If the request is successful, the response includes the history of the status on a daily basis.

Request

Query parameter
NameTypeDescriptionRequired
startStringStart date, yyyy-MM-dd formatX
endStringEnd date, yyyy-MM-dd formatX
productStringProducts to check status, a comma separated string
If not specified, check all products
(Example: login,message)
X
apiStringAPIs to check status, a comma separated string
If not specified, check all APIs
(Example: user_me,user_shipping_address)

Note: If products are specified, APIs only for the same products are available
X
langStringLanguage for the response, one of:
ko: Korean
en: English
(Default: ko)
X

Response

Body
NameTypeDescriptionRequired
-StatusHistory[]Daily status historyO
StatusHistory
NameTypeDescriptionRequired
dateStringDateO
statusesStatus[]List of the status informationO

Sample

Request
curl -v -G GET "https://api-status.kakao.com/api/health/history"
Request: Specified period
curl -v -G GET "https://api-status.kakao.com/api/health/history" \
-d "start=2023-12-01" \
-d "end=2023-12-31"
Request: Check for Kakao Login
curl -v -G GET "https://api-status.kakao.com/api/health/history" \
-d "product=login"
Request: Check for retrieving user information API
curl -v -G GET "https://api-status.kakao.com/api/health/history" \
-d "product=user_me"
Response
HTTP/2 200
content-type: application/json; charset=utf-8
[
{
"date": "2023-12-04T15:00:00.000Z",
"statuses": [
{
"productId": "login",
"productName": "카카오 로그인",
"status": "GREEN"
},
{
"productId": "social",
"productName": "카카오톡 소셜",
"status": "GREEN"
},
{
"productId": "message",
"productName": "메시지",
"status": "GREEN"
},
...
]
},
...
]
Response: Check for Kakao Login, normal status
HTTP/2 200
content-type: application/json; charset=utf-8
[
{
"date": "2023-12-04T15:00:00.000Z",
"statuses": [
{
"productId": "login",
"productName": "카카오 로그인",
"status": "GREEN"
}
]
},
...
]

Available products

NameID
Kakao Loginlogin
Kakao Talk Socialsocial
Messagemessage
Map/Locallocal
Kakao Navinavi
Kakao Talk Channelchannel
Searchsearch

Available APIs

NameID
Get authorization codeoauth_authorize
Get tokenoauth_token
OIDC: Get Discovery documentoidc_meta
OIDC: Get public keyoidc_public_key
Logoutuser_logout
Manual signupuser_signup
Unlinkuser_unlink
Retrieve access token informationuser_access_token_info
Retrieve user informationuser_me
Store user propertyuser_update_profile
Retrieve shipping addressuser_shipping_address
Retrieve user listuser_ids
Retrieve multiple user informationapp_users
Retrieve consent detailsuser_scopes
Revoke consentuser_revoke_scopes
Retrieve consent details for service termsuser_service_terms
Revoke consent for service termsuser_revoke_service_terms
OIDC: Get user informationoidc_userinfo
Retrieve Kakao Talk profiletalk_profile
Retrieve list of friendstalk_friends
Picker: Retrieve friends(Native SDK)picker_friends_native
Picker: Retrieve friends(JS SDK)picker_friends_js
Kakao Talk Share: Configure message with default templatetalk_sharing_default_template
Kakao Talk Share: Configure message with custom templatetalk_sharing_custom_template
Kakao Talk Share: Configure scrap messagetalk_sharing_scrap_template
Kakao Talk Share: Send messagetalk_sharing_send_message
Kakao Talk Share: Send web sharing messagetalk_sharing_web_send_message
Kakao Talk Share: Upload imagestalk_sharing_upload_images
Kakao Talk Share: Scrap imagestalk_sharing_scrap_images
Kakao Talk Share: Delete imagestalk_sharing_delete_images
Send me message with default templatetalk_memo_default_send
Send me message with custom templatetalk_memo_send
Send me scrap messagetalk_memo_scrap_send
Send message with default templatetalk_friends_message_default_send
Send message with custom templatetalk_friends_message_send
Send scrap messagetalk_friends_message_scrap_send
Map API for JavaScriptmap_js
Map API for native appmap_native
Vector map API for native appvector_map_native
Map stylemap_style
POI(Point Of Interest)map_poi
Convert address to coordinateslocal_search_address
Convert coordinates to region codelocal_geo_coord2regioncode
Convert coordinates to addresslocal_geo_coord2address
Transform coordinateslocal_geo_transcoord
Search place by keywordlocal_search_keyword
Search place by categorylocal_search_category
Find driving directionsnavi_directions
Find directions via multiple waypointsnavi_waypoints_directions
Find directions from multiple originsnavi_origins_directions
Find directions to multiple destinationsnavi_destinations_directions
Estimate future drivingnavi_future_directions
Check Kakao Talk Channel relationshiptalk_channels
Check multiple users' Kakao Talk Channel relationshiptalk_channels_multi
Customer management: Register customer filetalkchannel_create_target_user_file
Customer management: View customer filetalkchannel_target_user_file
Customer management: Add usertalkchannel_update_target_users
Customer management: Delete usertalkchannel_delete_target_users
Search web documentsearch_web
Search videosearch_vclip
Search imagesearch_image
Search blogsearch_blog
Search booksearch_book
Search cafesearch_cafe

Was this helpful?